package com.fjhx.supply.entity.supplier.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 供应商
 * </p>
 *
 * @author
 * @since 2023-03-17
 */
@Getter
@Setter
@TableName("supplier_info")
public class SupplierInfo extends BasePo {

    /**
     * 供应商编码
     */
    private String code;

    /**
     * 供应商类型 1贸易商 2工厂
     */
    private Integer type;

    /**
     * 供应商名称
     */
    private String name;

    /**
     * 国家id
     */
    private String countryId;

    /**
     * 省id
     */
    private String provinceId;

    /**
     * 市id
     */
    private String cityId;

    /**
     * 地区明细
     */
    private String areaDetail;

    /**
     * 联系人
     */
    private String contactPerson;

    /**
     * 联系电话
     */
    private String contactNumber;

    /**
     * 备注
     */
    private String remark;

}
