package com.fjhx.wms.entity.stock.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;

import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 库存
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
@Getter
@Setter
@TableName("stock")
public class Stock extends BasePo {

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 库存数量
     */
    private BigDecimal quantity;

}
