package com.fjhx.purchase.entity.subscribe.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 申购单
 * </p>
 *
 * @author 
 * @since 2023-04-03
 */
@Getter
@Setter
@TableName("subscribe_detail")
public class SubscribeDetail extends BasePo {

    /**
     * 关联ID  产品ID/货品ID
     */
    private Long bussinessId;

    /**
     * 申购单ID
     */
    private Long subscribeId;

    /**
     * 申购数量
     */
    private Integer count;

    /**
     * 申购事由
     */
    private String content;

    /**
     * 状态 10、审批中  20、已采购  30、部分到货  40、完成
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private Integer delFlag;

    /**
     * 货品类型
     */
    @TableField(exist = false)
    private Integer productType;

    /**
     * 所属分类
     */
    @TableField(exist = false)
    private String productCategory;

    /**
     * 货品编码
     */
    @TableField(exist = false)
    private String productCode;

    /**
     * 货品名称
     */
    @TableField(exist = false)
    private String productName;

    /**
     * 单位
     */
    @TableField(exist = false)
    private String productUnit;
}
